For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The PaymentMethod object
          • GET/payment-methods
          • GET/payment-methods/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsPayment Methods

/payment-methods

Beta
GET
/accounting/v1/payment-methods
GET
/api/accounting/v1/payment-methods
$curl -G https://api.merge.dev/api/accounting/v1/payment-methods \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "name": "John Smith's Credit Card",
7 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
8 "remote_id": "088899",
9 "created_at": "2021-09-15T00:00:00Z",
10 "modified_at": "2021-10-16T00:00:00Z",
11 "method_type": "CREDIT_CARD",
12 "is_active": true,
13 "remote_updated_at": "2021-09-15T00:00:00Z",
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/actions",
25 "data": null
26 }
27 ]
28 }
29 ]
30}

Returns a list of PaymentMethod objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The PaymentMethod object

Next

/payment-methods/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects